# Ansible role for matrixmailer
This role will install [matrixmailer](https://gitea.a-0.me/philip/matrixmailer) - either with pre-built binaries, or from source code directly on your system. It also sets up a systemd service and enables it.

# Supported operating systems
This playbook currently only supports debian systems. To suggest other platforms or contribute, feel free to join [#matrixmailer:a-0.me](matrix:r/matrixmailer:a-0.me).

Despite higher system performance requirements, I recommend self-building the binary as the cross compiling is still in an experimental stage.

# Configuration
See example playbooks for configuration samples.

Required variables:
- `matrixmailer_version`: Pinned version of matrixmailer to install, e.g. "0.1.0"
- `matrixmailer_build`: Either "from_source" if you want to build it yourself, or the build target for prebuilt binaries, like "x86_64-unknown-linux-musl"
- `matrixmailer_config`: Python/Yaml object of the matrixmailer configuration. Will be interpreted by the role and written to the configuration file formatted as yaml.

Optional variables:
- `matrixmailer_git_repo`: Only used when self-building the binary. Allows you to specify any URL a matrixmailer git repository can be pulled from.

# System requirements
matrixmailer itself is very lightweight. However, self-building matrixmailer is only recommended on systems with
- at least one "powerful" or two CPU cores, and
- at least 2GB memory.

# Disclaimer
Please be aware that this ansible role, as well as matrixmailer itself, are under active development. Be careful using it on production systems.